#include "loadingdialog.h"
#include "ui_loadingdialog.h"
#include <QMovie>

LoadingDialog::LoadingDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::LoadingDialog)
{
    ui->setupUi(this);
    this->setWindowFlag(Qt::FramelessWindowHint);
    this->setAttribute(Qt::WA_TranslucentBackground);
    QMovie *movie = new QMovie(":/resource/loading2.gif");
    ui->label->setMovie(movie);
    movie->start();

}

LoadingDialog::~LoadingDialog()
{
    delete ui;
}
